%define hordedir /usr/share/horde

Summary:        PEAR: Horde Editor API

Name:           php-pear-Horde-Editor
Version:        2.0.4
Release:        1.lux.1
License:        LGPL
Group:          Development/Libraries/PHP
Source0:        http://pear.horde.org/get/Horde_Editor-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://pear.horde.org/package/Horde_Editor
BuildRequires:	php-pear >= 1.7.0
Requires:       php-pear-channel-horde, php-pear-Horde-Role
Requires:	php >= 5.3.0
Requires:	php-pear >= 1.7.0
Requires:	php-pear-Horde-Browser >= 2.0.0
Requires:	php-pear-Horde-Browser <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Browser = 3.0.0alpha1
Requires:	php-pear-Horde-Exception >= 2.0.0
Requires:	php-pear-Horde-Exception <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Exception = 3.0.0alpha1
Requires:	php-pear-Horde-Serialize >= 2.0.0
Requires:	php-pear-Horde-Serialize <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Serialize = 3.0.0alpha1
BuildArch:      noarch
%define pear_name  Horde_Editor
%define pear_sname horde_editor
# Fix for renaming (package convention)
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       pear-%{pear_sname} = %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      pear-%{pear_sname} < %{version}

%description
The Horde_Editor package provides an API to generate the code necessary for
embedding javascript RTE editors in a web page.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{pear_phpdir} \
        -d doc_dir=%{_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{pear_phpdir}/data \
        -d test_dir=%{pear_phpdir}/test \
        -d ext_dir=%{_libdir} \
        -d horde_dir=%{hordedir}    \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
[ -d %{buildroot}/%{_docdir}/%{pear_name} ] && mv %{buildroot}/%{_docdir}/%{pear_name} %{buildroot}/%{_docdir}/%{name}-%{version}

# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{pear_phpdir}/.filemap
rm %{buildroot}/%{pear_phpdir}/.lock
rm -rf %{buildroot}/%{pear_phpdir}/.registry
rm -rf %{buildroot}%{pear_phpdir}/.channels
rm %{buildroot}%{pear_phpdir}/.depdb
rm %{buildroot}%{pear_phpdir}/.depdblock

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{pear_xmldir}/Horde_Editor.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{pear_xmldir}/Horde_Editor.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Editor
fi

%files
%defattr(-,root,root,755)
%doc %{_docdir}/%{name}-%{version}
%{pear_phpdir}/Horde/*
%{pear_xmldir}/Horde_Editor.xml
%{hordedir}/js

%changelog
